Package Details: libusb-git 1.0.26.r3.gba698478-1

Git Clone URL: https://aur.archlinux.org/libusb-git.git (read-only, click to copy)
Package Base: libusb-git
Description: A cross-platform library to access USB devices
Upstream URL: https://libusb.info/
Licenses: LGPL
Conflicts: libusb
Provides: libusb, libusb-1.0.so
Submitter: Chocobo1
Maintainer: Chocobo1
Last Packager: Chocobo1
Votes: 1
Popularity: 0.000033
First Submitted: 2020-11-30 16:11 (UTC)
Last Updated: 2022-05-06 13:38 (UTC)

Required by (728)

Sources (1)

Latest Comments

Chocobo1 commented on 2022-05-06 13:38 (UTC)

Hi! Please change the libusb provides to "libusb=$pkgver" so other packages can depend on e.g. libusb>=1.0 and have this package cover it. Thanks!

OK, done.

xiretza commented on 2022-05-06 08:33 (UTC)

Hi! Please change the libusb provides to "libusb=$pkgver" so other packages can depend on e.g. libusb>=1.0 and have this package cover it. Thanks!

noabody commented on 2021-08-28 14:03 (UTC) (edited on 2021-08-28 14:04 (UTC) by noabody)

Marked package as out of date because the "rc1" tag is no longer present in the version number which causes "1.0.24.rc1.r0.g42ad1d1d" to appear newer that a current build "1.0.24.r66.g1a906274".

Package management then always prompts to rebuild libusb-git thinking that the newest version is deprecated. A work around would be to make this change to PKGBUILD which will forcibly insert "rc1" and make a current build look like "1.0.24.rc1.r66.g1a906274"

  git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/rc1.r\1/;s/-/./g'